# Generated by Django 3.0.9 on 2020-12-15 12:43

import _socket
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_audit_fields.fields.hostname_modification_field
import django_audit_fields.fields.userfield
import django_audit_fields.fields.uuid_auto_field
import django_audit_fields.models.audit_model_mixin
import django_revision.revision_field
import edc_model_fields.fields.other_charfield
import edc_sites.models
import edc_utils.date
import mocca_screening.models.care_status
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("sites", "0002_alter_domain_unique"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("mocca_screening", "0005_auto_20201215_0647"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="moccaregister",
            options={
                "default_permissions": (
                    "add",
                    "change",
                    "delete",
                    "view",
                    "export",
                    "import",
                ),
                "get_latest_by": "modified",
                "ordering": ["mocca_country", "mocca_site"],
                "verbose_name": "MOCCA Patient Register",
                "verbose_name_plural": "MOCCA Patient Register",
            },
        ),
        migrations.AlterModelManagers(
            name="carestatus",
            managers=[
                ("on_site", edc_sites.models.CurrentSiteManager()),
                ("objects", mocca_screening.models.care_status.Manager()),
            ],
        ),
        migrations.RemoveField(model_name="carestatus", name="subject_identifier",),
        migrations.AddField(
            model_name="carestatus",
            name="site",
            field=models.ForeignKey(
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="sites.Site",
            ),
        ),
        migrations.CreateModel(
            name="HistoricalCareStatus",
            fields=[
                (
                    "revision",
                    django_revision.revision_field.RevisionField(
                        blank=True,
                        editable=False,
                        help_text="System field. Git repository tag:branch:commit.",
                        max_length=75,
                        null=True,
                        verbose_name="Revision",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "user_created",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user created",
                    ),
                ),
                (
                    "user_modified",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user modified",
                    ),
                ),
                (
                    "hostname_created",
                    models.CharField(
                        blank=True,
                        default=_socket.gethostname,
                        help_text="System field. (modified on create only)",
                        max_length=60,
                    ),
                ),
                (
                    "hostname_modified",
                    django_audit_fields.fields.hostname_modification_field.HostnameModificationField(
                        blank=True,
                        help_text="System field. (modified on every save)",
                        max_length=50,
                    ),
                ),
                ("device_created", models.CharField(blank=True, max_length=10)),
                ("device_modified", models.CharField(blank=True, max_length=10)),
                (
                    "id",
                    django_audit_fields.fields.uuid_auto_field.UUIDAutoField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        help_text="System auto field. UUID primary key.",
                    ),
                ),
                (
                    "care",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No"), ("unknown", "Unknown")],
                        max_length=25,
                        verbose_name="Is the patient in care?",
                    ),
                ),
                (
                    "care_not_in_reason",
                    models.CharField(
                        blank=True,
                        max_length=25,
                        null=True,
                        verbose_name="If not in care, why?",
                    ),
                ),
                (
                    "care_facility_location",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not applicable"),
                        ],
                        default="N/A",
                        help_text="Either integrated care or vertical care",
                        max_length=25,
                        verbose_name="Does the patient receive care in this facility",
                    ),
                ),
                (
                    "icc_since_mocca",
                    models.CharField(
                        choices=[
                            ("no_interruption", "Yes, without interruption"),
                            ("some_interruption", "Yes, with some interruption"),
                            (
                                "No",
                                "No, not since completing follow up with the MOCCA (original) trial.",
                            ),
                            ("unknown", "Unknown"),
                        ],
                        max_length=25,
                        verbose_name="Has the patient received integrated care since the leaving the MOCCA (orig) trial until now?",
                    ),
                ),
                (
                    "icc_since_mocca_comment",
                    edc_model_fields.fields.other_charfield.OtherCharField(
                        blank=True,
                        max_length=35,
                        null=True,
                        verbose_name="If some interruption in integrated care, please explain",
                    ),
                ),
                (
                    "icc",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not applicable"),
                        ],
                        default="N/A",
                        help_text="Either at this facility or elsewhere",
                        max_length=25,
                        verbose_name="Does the patient currently receive integrated care",
                    ),
                ),
                (
                    "icc_not_in_reason",
                    models.CharField(
                        choices=[
                            (
                                "icc_not_available",
                                "ICC not available (or closed) in this facility",
                            ),
                            ("moved", "Moved out of area"),
                            (
                                "dont_want",
                                "Personally chose not to continue with integrated care",
                            ),
                            (
                                "advised_to_vertical",
                                "Healthcare staff asked patient to return to vertical care",
                            ),
                            (
                                "referred_out",
                                "Referred to another facility without an ICC",
                            ),
                            ("N/A", "Not applicable"),
                        ],
                        default="N/A",
                        max_length=25,
                        verbose_name="If not integrated care, why not?",
                    ),
                ),
                (
                    "care_comment",
                    models.TextField(
                        blank=True,
                        null=True,
                        verbose_name="Additional comments relevant to this patient's care",
                    ),
                ),
                (
                    "report_datetime",
                    models.DateTimeField(
                        default=edc_utils.date.get_utcnow,
                        help_text="Date and time of report.",
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "history_id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("history_date", models.DateTimeField()),
                ("history_change_reason", models.CharField(max_length=100, null=True)),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "mocca_register",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="mocca_screening.MoccaRegister",
                        verbose_name="MOCCA (original) register details",
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="sites.Site",
                    ),
                ),
            ],
            options={
                "verbose_name": "historical Care Status",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
